Cyberduck Mountain Duck CLI

#8262 closed defect (fixed)

Renaming of placeholder folders generates a 404 error

Reported by: ldj Owned by: dkocher
Priority: high Milestone: 4.6
Component: openstack Version: 4.5.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Windows 8

Description

When connected to an OpenStack swift container (e.g. Rackspace Cloud Files), if you attempt to rename a 'folder' (e.g. a folder within the path of a file rather than the container itself), the rename operation fails. In the background, a 404 error is generated as it appears the DELETE operation is incorrectly encoding the trailing forward slash (%2F).

Looking at a fiddler trace when running the application, attempting to rename a folder called TEST in a container called container-name:

DELETE https://storage101.lon3.clouddrive.com/v1/MossoCloudFS_12345678/container-name/Test%2F HTTP/1.1
X-Auth-Token: XXXREMOVEDXXX
Host: storage101.lon3.clouddrive.com
Connection: Keep-Alive
User-Agent: Cyberduck/4.5.2 (15058) (Windows NT (unknown)/6.2) (x86)
Accept-Encoding: gzip,deflate

This generates a 404:

HTTP/1.1 404 Not Found
Content-Length: 70
Content-Type: text/html; charset=UTF-8
X-Trans-Id: txcdc517b58d234eb0Fc18e-00543f754blon3
Date: Thu, 16 Oct 2014 07:35:39 GMT



<html><h1>Not Found</h1><p>The resource could not be found.</p></html>

If I modify the request in Fiddler and change the request URL for the delete from:

DELETE https://storage101.lon3.clouddrive.com/v1/MossoCloudFS_12345678/container-name/Test%2F HTTP/1.1

to:

DELETE https://storage101.lon3.clouddrive.com/v1/MossoCloudFS_12345678/container-name/Test/ HTTP/1.1

the operation completes.

Change History (2)

comment:1 Changed on Oct 16, 2014 at 8:26:31 AM by dkocher

  • Milestone set to 4.5.3
  • Status changed from new to assigned
  • Summary changed from Renaming of OpenStack folders generates a 404 error to Renaming of placeholder folders generates a 404 error

comment:2 Changed on Oct 17, 2014 at 11:03:21 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r15384.

Note: See TracTickets for help on using tickets.
swiss made software